# eric6.Templates.TemplatePropertiesDialog

Module implementing the templates properties dialog.

### Global Attributes

None

### Classes

TemplatePropertiesDialog | Class implementing the templates properties dialog.

### Functions

None

## TemplatePropertiesDialog

Class implementing the templates properties dialog.

### Derived from

QDialog, Ui_TemplatePropertiesDialog

### Class Attributes

None

### Class Methods

None

### Methods

TemplatePropertiesDialog | Constructor
getData | Public method to get the data entered into the dialog.
keyPressEvent | Protected method to handle the user pressing the escape key.
on_helpButton_clicked | Private slot to show some help.
setSelectedGroup | Public method to select a group.

### Static Methods

None

#### TemplatePropertiesDialog (Constructor)

TemplatePropertiesDialog(parent, groupMode=False, itm=None)

Constructor

parent
  the parent widget (QWidget)
groupMode
  flag indicating group mode (boolean)
itm
  item (TemplateEntry or TemplateGroup) to read the data from

#### TemplatePropertiesDialog.getData

getData()

Public method to get the data entered into the dialog.

Returns:
  a tuple of two strings (name, language), if the dialog is in group mode, and a tuple of four strings (name, description, group name, template) otherwise.

#### TemplatePropertiesDialog.keyPressEvent

keyPressEvent(ev)

Protected method to handle the user pressing the escape key.

ev
  key event (QKeyEvent)

#### TemplatePropertiesDialog.on_helpButton_clicked

on_helpButton_clicked()

Private slot to show some help.

#### TemplatePropertiesDialog.setSelectedGroup

setSelectedGroup(name)

Public method to select a group.

name
  name of the group to be selected (string)

Up